unix-2.6.0.1: POSIX functionality

Safe Haskell | Trustworthy

System.Posix.Process.Internals

# Documentation

pPrPr_disableITimers :: IO ()

c_execvpe :: CString -> Ptr CString -> Ptr CString -> IO CInt

decipherWaitStatus :: CInt -> IO ProcessStatus

data ProcessStatus

Constructors

Exited ExitCode |
Terminated Signal |
Stopped Signal |

Instances

Eq ProcessStatus |
Ord ProcessStatus |
Show ProcessStatus |